module gitlab.com/uafrica/go-utils

go 1.17

require (
	github.com/MindscapeHQ/raygun4go v1.1.1
	github.com/aws/aws-lambda-go v1.26.0
	github.com/aws/aws-sdk-go v1.42.12
	github.com/aws/aws-secretsmanager-caching-go v1.1.0
	github.com/go-pg/pg/v10 v10.10.6
	github.com/go-redis/redis/v8 v8.11.4
	github.com/go-redis/redis_rate/v9 v9.1.2
	github.com/google/uuid v1.3.0
	github.com/opensearch-project/opensearch-go v1.0.0
	github.com/pkg/errors v0.9.1
	github.com/r3labs/diff/v2 v2.14.2
	github.com/sirupsen/logrus v1.8.1
	github.com/thoas/go-funk v0.9.1
	golang.org/x/text v0.3.7
)

require (
	github.com/cespare/xxhash/v2 v2.1.2 // indirect
	github.com/dgryski/go-rendezvous v0.0.0-20200823014737-9f7001d12a5f // indirect
	github.com/go-errors/errors v1.4.1 // indirect
	github.com/go-pg/zerochecker v0.2.0 // indirect
	github.com/golang/protobuf v1.5.2 // indirect
	github.com/jinzhu/inflection v1.0.0 // indirect
	github.com/jmespath/go-jmespath v0.4.0 // indirect
	github.com/pborman/uuid v1.2.1 // indirect
	github.com/smartystreets/goconvey v1.7.2 // indirect
	github.com/tmthrgd/go-hex v0.0.0-20190904060850-447a3041c3bc // indirect
	github.com/vmihailenco/bufpool v0.1.11 // indirect
	github.com/vmihailenco/msgpack v4.0.4+incompatible // indirect
	github.com/vmihailenco/msgpack/v5 v5.3.4 // indirect
	github.com/vmihailenco/tagparser v0.1.2 // indirect
	github.com/vmihailenco/tagparser/v2 v2.0.0 // indirect
	golang.org/x/crypto v0.0.0-20210921155107-089bfa567519 // indirect
	golang.org/x/net v0.0.0-20210614182718-04defd469f4e // indirect
	golang.org/x/sys v0.0.0-20210923061019-b8560ed6a9b7 // indirect
	google.golang.org/appengine v1.6.6 // indirect
	google.golang.org/protobuf v1.26.0 // indirect
	mellium.im/sasl v0.2.1 // indirect
)
