package number_utils

import "math"

func RoundFloat(value float64) float64 {
	return math.Round(value*100) / 100 // 2 decimal places
}

func RoundFloatTo(value float64, to int) float64 {
	toValue := math.Pow(10.0, float64(to))
	return math.Round(value*toValue) / toValue
}

func UnwrapFloat64(f *float64) float64 {
	if f == nil {
		return 0.0
	}
	return *f
}

func UnwrapInt64(i *int64) int64 {
	if i == nil {
		return 0
	}
	return *i
}
