package string_utils

import "regexp"

const snakeCasePattern = `[a-z]([a-z0-9_]*[a-z0-9])*`

var snakeCaseRegex = regexp.MustCompile("^" + snakeCasePattern + "$")

func IsSnakeCase(name string) bool {
	return snakeCaseRegex.MatchString(name)
}
